Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.document
Class SessionNode.ReferrerChanges

    java.lang.Object
      org.modeshape.jcr.cache.document.SessionNode.ReferrerChanges

Enclosing class:
  SessionNode

    protected static class SessionNode.ReferrerChanges

extends Object

Constructor Summary
`protected` | `SessionNode.ReferrerChanges()`

Method Summary
`void` | `addStrongReferrer(NodeKey nodeKey)`
`void` | `addWeakReferrer(NodeKey nodeKey)`
`List<NodeKey>` | `getAddedReferrers(CachedNode.ReferenceType type)`
`List<NodeKey>` | `getRemovedReferrers(CachedNode.ReferenceType type)`
`boolean` | `isEmpty()`
`void` | `removeStrongReferrer(NodeKey nodeKey)`
`void` | `removeWeakReferrer(NodeKey nodeKey)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionNode.ReferrerChanges

    protected SessionNode.ReferrerChanges()

Method Detail

### addWeakReferrer

    public void addWeakReferrer(NodeKey nodeKey)

### removeWeakReferrer

    public void removeWeakReferrer(NodeKey nodeKey)

### addStrongReferrer

    public void addStrongReferrer(NodeKey nodeKey)

### removeStrongReferrer

    public void removeStrongReferrer(NodeKey nodeKey)

### getAddedReferrers

    public List<NodeKey> getAddedReferrers(CachedNode.ReferenceType type)

### getRemovedReferrers

    public List<NodeKey> getRemovedReferrers(CachedNode.ReferenceType type)

### isEmpty

    public boolean isEmpty()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.